<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: frontend/src/lib/Chat/Chat.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ca0386ec887ae6362f93b0d653b52e0c.html">frontend</a></li><li class="navelem"><a class="el" href="dir_debbd63f1d8db984f7ce6be7690dc411.html">src</a></li><li class="navelem"><a class="el" href="dir_4a296fb22e14d54e648023a35f56bd71.html">lib</a></li><li class="navelem"><a class="el" href="dir_129a4418aa03d7ccb72108f62decaa2d.html">Chat</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">Chat.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;QStringListModel&gt;</code><br />
<code>#include &lt;QStandardItemModel&gt;</code><br />
<code>#include &lt;fmt/core.h&gt;</code><br />
<code>#include &lt;QWidget&gt;</code><br />
<code>#include &lt;QListView&gt;</code><br />
<code>#include &lt;QLineEdit&gt;</code><br />
<code>#include &lt;QFile&gt;</code><br />
<code>#include &lt;QFont&gt;</code><br />
<code>#include &lt;QJsonDocument&gt;</code><br />
<code>#include &lt;QTextEdit&gt;</code><br />
<code>#include &lt;QJsonArray&gt;</code><br />
<code>#include &lt;QThread&gt;</code><br />
<code>#include &lt;QTime&gt;</code><br />
<code>#include &lt;QStyledItemDelegate&gt;</code><br />
<code>#include &lt;QFontMetrics&gt;</code><br />
<code>#include &lt;QRect&gt;</code><br />
<code>#include &lt;QSize&gt;</code><br />
<code>#include &quot;<a class="el" href="NetworkService_8hpp_source.html">../network_service/NetworkService.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="config_8h_source.html">config.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="globals_8h_source.html">globals.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="gamestateservice_8h_source.html">gamestateservice.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="settingsservice_8h_source.html">settingsservice.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for Chat.h:</div>
<div class="dyncontent">
<div class="center"><img src="Chat_8h__incl.png" border="0" usemap="#frontend_2src_2lib_2Chat_2Chat_8h" alt=""/></div>
<map name="frontend_2src_2lib_2Chat_2Chat_8h" id="frontend_2src_2lib_2Chat_2Chat_8h">
<area shape="rect" title=" " alt="" coords="1135,5,1289,47"/>
<area shape="rect" title=" " alt="" coords="5,95,139,121"/>
<area shape="rect" title=" " alt="" coords="163,95,323,121"/>
<area shape="rect" title=" " alt="" coords="543,259,633,285"/>
<area shape="rect" title=" " alt="" coords="1119,95,1198,121"/>
<area shape="rect" title=" " alt="" coords="1222,95,1309,121"/>
<area shape="rect" title=" " alt="" coords="1333,95,1417,121"/>
<area shape="rect" title=" " alt="" coords="314,259,369,285"/>
<area shape="rect" title=" " alt="" coords="1441,95,1501,121"/>
<area shape="rect" title=" " alt="" coords="393,259,519,285"/>
<area shape="rect" title=" " alt="" coords="1525,95,1609,121"/>
<area shape="rect" title=" " alt="" coords="1633,95,1727,121"/>
<area shape="rect" title=" " alt="" coords="1752,95,1829,121"/>
<area shape="rect" title=" " alt="" coords="1854,95,1919,121"/>
<area shape="rect" title=" " alt="" coords="1944,95,2107,121"/>
<area shape="rect" title=" " alt="" coords="2131,95,2239,121"/>
<area shape="rect" title=" " alt="" coords="2264,95,2325,121"/>
<area shape="rect" title=" " alt="" coords="2349,95,2408,121"/>
<area shape="rect" href="NetworkService_8hpp.html" title=" " alt="" coords="1383,169,1540,211"/>
<area shape="rect" href="config_8h.html" title=" " alt="" coords="1049,259,1122,285"/>
<area shape="rect" href="globals_8h.html" title=" " alt="" coords="449,177,530,203"/>
<area shape="rect" href="gamestateservice_8h.html" title=" " alt="" coords="842,95,993,121"/>
<area shape="rect" href="settingsservice_8h.html" title=" " alt="" coords="707,177,840,203"/>
<area shape="rect" title=" " alt="" coords="1147,259,1227,285"/>
<area shape="rect" title=" " alt="" coords="1056,333,1115,360"/>
<area shape="rect" title=" " alt="" coords="1563,259,1629,285"/>
<area shape="rect" title=" " alt="" coords="1654,259,1730,285"/>
<area shape="rect" title=" " alt="" coords="1414,259,1538,285"/>
<area shape="rect" title=" " alt="" coords="1251,259,1338,285"/>
<area shape="rect" title=" " alt="" coords="880,259,955,285"/>
<area shape="rect" title=" " alt="" coords="966,177,1037,203"/>
<area shape="rect" title=" " alt="" coords="1061,177,1155,203"/>
<area shape="rect" title=" " alt="" coords="657,259,730,285"/>
<area shape="rect" title=" " alt="" coords="755,259,856,285"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="Chat_8h__dep__incl.png" border="0" usemap="#frontend_2src_2lib_2Chat_2Chat_8hdep" alt=""/></div>
<map name="frontend_2src_2lib_2Chat_2Chat_8hdep" id="frontend_2src_2lib_2Chat_2Chat_8hdep">
<area shape="rect" title=" " alt="" coords="205,5,359,47"/>
<area shape="rect" href="Chat_8cpp.html" title=" " alt="" coords="90,95,245,136"/>
<area shape="rect" href="hostgame_8h.html" title=" " alt="" coords="203,184,361,225"/>
<area shape="rect" href="table_8h.html" title=" " alt="" coords="320,95,476,136"/>
<area shape="rect" href="hostgame_8cpp.html" title=" " alt="" coords="5,273,180,315"/>
<area shape="rect" href="lobby_8h.html" title=" " alt="" coords="204,273,360,315"/>
<area shape="rect" href="mainwindow_8h.html" title=" " alt="" coords="310,363,486,404"/>
<area shape="rect" href="lobby_8cpp.html" title=" " alt="" coords="129,363,285,404"/>
<area shape="rect" href="frontend_2src_2lib_2Main_01Window_2main_8cpp.html" title=" " alt="" coords="221,452,377,493"/>
<area shape="rect" href="mainwindow_8cpp.html" title=" " alt="" coords="401,452,592,493"/>
<area shape="rect" href="table_8cpp.html" title=" " alt="" coords="385,184,541,225"/>
</map>
</div>
</div>
<p><a href="Chat_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChat.html">Chat</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceUi"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceUi.html">Ui</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
